Debian Bug report logs - #629558
krb5-kdc: kdb_ldap plugin crashes during kinit "user@DOMAIn" with wrong case for "DOMAIn"

version graph

Package: krb5-kdc-ldap; Maintainer for krb5-kdc-ldap is Sam Hartman <hartmans@debian.org>; Source for krb5-kdc-ldap is src:krb5.

Reported by: Kyle Moffett <Kyle.D.Moffett@boeing.com>

Date: Tue, 7 Jun 2011 18:12:02 UTC

Severity: normal

Tags: patch

Found in version krb5/1.9+dfsg-1

Fixed in versions krb5/1.10+dfsg~alpha1-6, krb5/1.8.3+dfsg-4squeeze5

Done: Sam Hartman <hartmans@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#629558; Package krb5-kdc-ldap. (Tue, 07 Jun 2011 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kyle Moffett <Kyle.D.Moffett@boeing.com>:
New Bug report received and forwarded. Copy sent to Sam Hartman <hartmans@debian.org>. (Tue, 07 Jun 2011 18:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kyle Moffett <Kyle.D.Moffett@boeing.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: blarg
Date: Tue, 07 Jun 2011 14:00:57 -0400
Package: krb5-kdc-ldap
Severity: normal
Tags: patch

Subject: krb5-kdc: kdb_ldap plugin crashes during kinit "user@DOMAIn" with wrong case for "DOMAIn"
Package: krb5-kdc
Version: 1.9+dfsg-1+debug01
Severity: normal


At src/plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c:108, inside the
function "krb5_ldap_get_principal()":

If "is_principal_in_realm()" fails, the code does not properly initialize
the variable "st" (IE: with KRB5_KDB_NOENTRY or something) before calling
krb5_set_error_message().

This can happen if the realm is "EXAMPLE.COM" and somebody types:
  kinit user@EXMAMPLE.COm (IE: case is not quite right).

As a result, the krb5_ldap_get_principal() function returns 0 but leaves
the "client" pointer set to NULL.

When it returns out to src/kdc/do_as_req.c:211, the process_as_req() code
assumes that it succeeded, and promptly dereferences "client", causing a
crash.

The fix is to add a single line "st = KRB5_KDB_NOENTRY" into the file
ldap_principal2.c after this line:

    if (is_principal_in_realm(ldap_context, searchfor) != 0) {

Cheers,
Kyle Moffett

P.S: Out of curiousity, is there some reason why there are not packages
for krb5-kdc-dbg and krb5-admin-server-dbg, etc?  That would make this
kind of troubleshooting much easier in the future.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (500, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages krb5-kdc depends on:
ii  debconf [debconf-2.0] 1.5.38             Debian configuration management sy
ii  krb5-config           2.2                Configuration files for Kerberos V
ii  krb5-user             1.9+dfsg-1+debug01 Basic programs to authenticate usi
ii  libc6                 2.11.2-11          Embedded GNU C Library: Shared lib
ii  libcomerr2            1.41.12-2          common error description library
ii  libgssapi-krb5-2      1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - k
ii  libgssrpc4            1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - G
ii  libk5crypto3          1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - C
ii  libkadm5clnt-mit8     1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - A
ii  libkadm5srv-mit8      1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - K
ii  libkdb5-5             1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - K
ii  libkeyutils1          1.4-4              Linux Key Management Utilities (li
ii  libkrb5-3             1.9+dfsg-1+debug01 MIT Kerberos runtime libraries
ii  libkrb5support0       1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - S
ii  lsb-base              3.2-27             Linux Standard Base 3.2 init scrip

krb5-kdc recommends no packages.

Versions of packages krb5-kdc suggests:
ii  krb5-admin-server     1.9+dfsg-1+debug01 MIT Kerberos master server (kadmin
ii  krb5-kdc-ldap         1.9+dfsg-1+debug01 MIT Kerberos key server (KDC) LDAP
pn  openbsd-inetd | inet- <none>             (no description available)

-- debconf information excluded

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (700, 'stable'), (600, 'unstable'), (500, 'stable-updates'), (500, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Changed Bug title to 'krb5-kdc: kdb_ldap plugin crashes during kinit "user@DOMAIn" with wrong case for "DOMAIn"' from 'blarg' Request was from "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com> to control@bugs.debian.org. (Tue, 07 Jun 2011 18:48:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions krb5/1.9+dfsg-1. Request was from "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com> to control@bugs.debian.org. (Tue, 07 Jun 2011 18:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#629558; Package krb5-kdc-ldap. (Fri, 07 Oct 2011 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kyle Moffett <kyle@moffetthome.net>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. (Fri, 07 Oct 2011 05:21:03 GMT) Full text and rfc822 format available.

Message #14 received at 629558@bugs.debian.org (full text, mbox):

From: Kyle Moffett <kyle@moffetthome.net>
To: Debian Bug Tracking System <629558@bugs.debian.org>
Cc: Sam Hartman <hartmans@debian.org>, krbdev@mit.edu, Kyle Moffett <Kyle.D.Moffett@boeing.com>
Subject: Re: krb5-kdc: kdb_ldap plugin crashes during kinit "user@DOMAIn" with wrong case for "DOMAIn"
Date: Fri, 7 Oct 2011 01:16:42 -0400
Ping?  This should be a pretty quick one-line bugfix.

Since this appears to be an upstream bug, I've added krbdev@mit.edu
to the CC list.

Kyle Moffett wrote:
> At src/plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c:108, inside the
> function "krb5_ldap_get_principal()":
>
> If "is_principal_in_realm()" fails, the code does not properly initialize
> the variable "st" (IE: with KRB5_KDB_NOENTRY or something) before calling
> krb5_set_error_message().
>
> This can happen if the realm is "EXAMPLE.COM" and somebody types:
>  kinit user@EXMAMPLE.COm (IE: case is not quite right).
>
> As a result, the krb5_ldap_get_principal() function returns 0 but leaves
> the "client" pointer set to NULL.
>
> When it returns out to src/kdc/do_as_req.c:211, the process_as_req() code
> assumes that it succeeded, and promptly dereferences "client", causing a
> crash.
>
> The fix is to add a single line "st = KRB5_KDB_NOENTRY" into the file
> ldap_principal2.c after this line:
>
>    if (is_principal_in_realm(ldap_context, searchfor) != 0) {
>
> Cheers,
> Kyle Moffett
>
> P.S: Out of curiosity, is there some reason why there are not packages
> for krb5-kdc-dbg and krb5-admin-server-dbg, etc?  That would make this
> kind of troubleshooting much easier in the future.
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers testing
>  APT policy: (700, 'testing'), (600, 'unstable'), (500, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages krb5-kdc depends on:
> ii  debconf [debconf-2.0] 1.5.38             Debian configuration management sy
> ii  krb5-config           2.2                Configuration files for Kerberos V
> ii  krb5-user             1.9+dfsg-1+debug01 Basic programs to authenticate usi
> ii  libc6                 2.11.2-11          Embedded GNU C Library: Shared lib
> ii  libcomerr2            1.41.12-2          common error description library
> ii  libgssapi-krb5-2      1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - k
> ii  libgssrpc4            1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - G
> ii  libk5crypto3          1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - C
> ii  libkadm5clnt-mit8     1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - A
> ii  libkadm5srv-mit8      1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - K
> ii  libkdb5-5             1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - K
> ii  libkeyutils1          1.4-4              Linux Key Management Utilities (li
> ii  libkrb5-3             1.9+dfsg-1+debug01 MIT Kerberos runtime libraries
> ii  libkrb5support0       1.9+dfsg-1+debug01 MIT Kerberos runtime libraries - S
> ii  lsb-base              3.2-27             Linux Standard Base 3.2 init scrip
>
> krb5-kdc recommends no packages.
>
> Versions of packages krb5-kdc suggests:
> ii  krb5-admin-server     1.9+dfsg-1+debug01 MIT Kerberos master server (kadmin
> ii  krb5-kdc-ldap         1.9+dfsg-1+debug01 MIT Kerberos key server (KDC) LDAP
> pn  openbsd-inetd | inet- <none>             (no description available)
>
> -- debconf information excluded
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers testing
>  APT policy: (700, 'testing'), (700, 'stable'), (600, 'unstable'), (500, 'stabl
> e-updates'), (500, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash




Added tag(s) pending. Request was from Sam Hartman <hartmans@debian.org> to control@bugs.debian.org. (Wed, 19 Oct 2011 16:27:03 GMT) Full text and rfc822 format available.

Reply sent to Sam Hartman <hartmans@debian.org>:
You have taken responsibility. (Tue, 27 Dec 2011 12:33:44 GMT) Full text and rfc822 format available.

Notification sent to Kyle Moffett <Kyle.D.Moffett@boeing.com>:
Bug acknowledged by developer. (Tue, 27 Dec 2011 12:34:27 GMT) Full text and rfc822 format available.

Message #21 received at 629558-done@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: 629558-done@bugs.debian.org
Subject: Fixed
Date: Tue, 27 Dec 2011 07:30:22 -0500 (EST)
source: krb5
source-version: 1.10+dfsg~alpha1-6

Apparently the changelog entry for this upload got lost somehow.




Reply sent to Sam Hartman <hartmans@debian.org>:
You have taken responsibility. (Wed, 04 Jan 2012 21:21:03 GMT) Full text and rfc822 format available.

Notification sent to Kyle Moffett <Kyle.D.Moffett@boeing.com>:
Bug acknowledged by developer. (Wed, 04 Jan 2012 21:21:03 GMT) Full text and rfc822 format available.

Message #26 received at 629558-close@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: 629558-close@bugs.debian.org
Subject: Bug#629558: fixed in krb5 1.8.3+dfsg-4squeeze5
Date: Wed, 04 Jan 2012 21:17:43 +0000
Source: krb5
Source-Version: 1.8.3+dfsg-4squeeze5

We believe that the bug you reported is fixed in the latest version of
krb5, which is due to be installed in the Debian FTP archive:

krb5-admin-server_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/krb5-admin-server_1.8.3+dfsg-4squeeze5_amd64.deb
krb5-doc_1.8.3+dfsg-4squeeze5_all.deb
  to main/k/krb5/krb5-doc_1.8.3+dfsg-4squeeze5_all.deb
krb5-kdc-ldap_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/krb5-kdc-ldap_1.8.3+dfsg-4squeeze5_amd64.deb
krb5-kdc_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/krb5-kdc_1.8.3+dfsg-4squeeze5_amd64.deb
krb5-multidev_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/krb5-multidev_1.8.3+dfsg-4squeeze5_amd64.deb
krb5-pkinit_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/krb5-pkinit_1.8.3+dfsg-4squeeze5_amd64.deb
krb5-user_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/krb5-user_1.8.3+dfsg-4squeeze5_amd64.deb
krb5_1.8.3+dfsg-4squeeze5.diff.gz
  to main/k/krb5/krb5_1.8.3+dfsg-4squeeze5.diff.gz
krb5_1.8.3+dfsg-4squeeze5.dsc
  to main/k/krb5/krb5_1.8.3+dfsg-4squeeze5.dsc
libgssapi-krb5-2_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libgssapi-krb5-2_1.8.3+dfsg-4squeeze5_amd64.deb
libgssrpc4_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libgssrpc4_1.8.3+dfsg-4squeeze5_amd64.deb
libk5crypto3_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libk5crypto3_1.8.3+dfsg-4squeeze5_amd64.deb
libkadm5clnt-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libkadm5clnt-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
libkadm5srv-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libkadm5srv-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
libkdb5-4_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libkdb5-4_1.8.3+dfsg-4squeeze5_amd64.deb
libkrb5-3_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libkrb5-3_1.8.3+dfsg-4squeeze5_amd64.deb
libkrb5-dbg_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libkrb5-dbg_1.8.3+dfsg-4squeeze5_amd64.deb
libkrb5-dev_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libkrb5-dev_1.8.3+dfsg-4squeeze5_amd64.deb
libkrb53_1.8.3+dfsg-4squeeze5_all.deb
  to main/k/krb5/libkrb53_1.8.3+dfsg-4squeeze5_all.deb
libkrb5support0_1.8.3+dfsg-4squeeze5_amd64.deb
  to main/k/krb5/libkrb5support0_1.8.3+dfsg-4squeeze5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629558@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hartman <hartmans@debian.org> (supplier of updated krb5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 Oct 2011 11:55:43 -0400
Source: krb5
Binary: krb5-user krb5-kdc krb5-kdc-ldap krb5-admin-server krb5-multidev libkrb5-dev libkrb5-dbg krb5-pkinit krb5-doc libkrb5-3 libgssapi-krb5-2 libgssrpc4 libkadm5srv-mit7 libkadm5clnt-mit7 libk5crypto3 libkdb5-4 libkrb5support0 libkrb53
Architecture: source all amd64
Version: 1.8.3+dfsg-4squeeze5
Distribution: squeeze-security
Urgency: high
Maintainer: Sam Hartman <hartmans@debian.org>
Changed-By: Sam Hartman <hartmans@debian.org>
Description: 
 krb5-admin-server - MIT Kerberos master server (kadmind)
 krb5-doc   - Documentation for MIT Kerberos
 krb5-kdc   - MIT Kerberos key server (KDC)
 krb5-kdc-ldap - MIT Kerberos key server (KDC) LDAP plugin
 krb5-multidev - Development files for MIT Kerberos without Heimdal conflict
 krb5-pkinit - PKINIT plugin for MIT Kerberos
 krb5-user  - Basic programs to authenticate using MIT Kerberos
 libgssapi-krb5-2 - MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
 libgssrpc4 - MIT Kerberos runtime libraries - GSS enabled ONCRPC
 libk5crypto3 - MIT Kerberos runtime libraries - Crypto Library
 libkadm5clnt-mit7 - MIT Kerberos runtime libraries - Administration Clients
 libkadm5srv-mit7 - MIT Kerberos runtime libraries - KDC and Admin Server
 libkdb5-4  - MIT Kerberos runtime libraries - Kerberos database
 libkrb5-3  - MIT Kerberos runtime libraries
 libkrb5-dbg - Debugging files for MIT Kerberos
 libkrb5-dev - Headers and development libraries for MIT Kerberos
 libkrb53   - transitional package for MIT Kerberos libraries
 libkrb5support0 - MIT Kerberos runtime libraries - Support library
Closes: 629558
Changes: 
 krb5 (1.8.3+dfsg-4squeeze5) squeeze-security; urgency=high
 .
   *     CVE-2011-1529: null pointer dereference in KDC LDAP back end,
     Closes: #629558
   *     CVE-2011-1528: assertion failure in multiple KDC back ends
     regarding account lockout
Checksums-Sha1: 
 a76b7a075f1376656918d0d306300aa67daca920 1901 krb5_1.8.3+dfsg-4squeeze5.dsc
 58ebe5245c9bb07d170d84aca534a88c17ffd199 11564633 krb5_1.8.3+dfsg.orig.tar.gz
 002b3c9b27844aec2042bcc18971a7fedf0d742c 105323 krb5_1.8.3+dfsg-4squeeze5.diff.gz
 4963eda95983d13ad433581e99b6ef89dc0a76b6 2248084 krb5-doc_1.8.3+dfsg-4squeeze5_all.deb
 9aa0e92720681bcc3a19aa26cd5851dea0f2d0a1 1373312 libkrb53_1.8.3+dfsg-4squeeze5_all.deb
 66ed1b1d4342b2519e89fe80e789c66305454562 139236 krb5-user_1.8.3+dfsg-4squeeze5_amd64.deb
 7d7a1a5d111aff0947a22281867b63eaa3e96f20 220064 krb5-kdc_1.8.3+dfsg-4squeeze5_amd64.deb
 4bb1f03eed17ba4a4c79aa1c01f3f0729d3aeb45 118514 krb5-kdc-ldap_1.8.3+dfsg-4squeeze5_amd64.deb
 b5d65f4763a5ace3d535dcf3be81527a25071e8c 114590 krb5-admin-server_1.8.3+dfsg-4squeeze5_amd64.deb
 1e61a47c0fff0d5c6d0e334b609a64820aed69c2 104238 krb5-multidev_1.8.3+dfsg-4squeeze5_amd64.deb
 95e12969369d217fcbdb4d380c55aaf299d31212 37580 libkrb5-dev_1.8.3+dfsg-4squeeze5_amd64.deb
 99e8c8b9e68aa46663fc7cb79ec91203d7692ea3 1629448 libkrb5-dbg_1.8.3+dfsg-4squeeze5_amd64.deb
 69c6c7c5af3d53dbfcdba0ef9fab8bdfae6d1ccf 78006 krb5-pkinit_1.8.3+dfsg-4squeeze5_amd64.deb
 3bb1218289701c35928e61f249863b155d3bab42 373494 libkrb5-3_1.8.3+dfsg-4squeeze5_amd64.deb
 a752d483739e2c68adcb9b645adae36b27721485 130390 libgssapi-krb5-2_1.8.3+dfsg-4squeeze5_amd64.deb
 38c3a8d442bb9d0281b4418d66ba630f5d99a5b6 83862 libgssrpc4_1.8.3+dfsg-4squeeze5_amd64.deb
 e94bd75a6041a39da9acfed0ffe3d87c4d9d7d95 78602 libkadm5srv-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
 85961bf925ffbca8140fedc16e25f03458be275f 64218 libkadm5clnt-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
 10707e0cb07e849a2274fce9c311123d784c5d3e 105950 libk5crypto3_1.8.3+dfsg-4squeeze5_amd64.deb
 fc94b4884032059645900c5a55b5a01ed2449a09 63650 libkdb5-4_1.8.3+dfsg-4squeeze5_amd64.deb
 f907c1f5ee9264aeb7f0092e82553bb5883f0793 46322 libkrb5support0_1.8.3+dfsg-4squeeze5_amd64.deb
Checksums-Sha256: 
 0347afc4dfaaba653908127a15a699655e256db7f396aa2807ef8f1ca2bca39f 1901 krb5_1.8.3+dfsg-4squeeze5.dsc
 ed8b74faedee22ab961c6acaea17e5801aa89dc904a44457ef13bb5a297c83eb 11564633 krb5_1.8.3+dfsg.orig.tar.gz
 7c03fdb80de6c2d28231bbc427e4b09ff10d5acb179965ebdfb9d83b06287d55 105323 krb5_1.8.3+dfsg-4squeeze5.diff.gz
 5e87f11da8ef7fd32364f3f4aafead3a9f18d50106416d77d7af40a3c05bdc61 2248084 krb5-doc_1.8.3+dfsg-4squeeze5_all.deb
 601920ef7b5b6ad6f150c00777ec1df5b8e1abe05289f61e31f7120c9a3696c8 1373312 libkrb53_1.8.3+dfsg-4squeeze5_all.deb
 486d2614f5ca342dea97e349aa87a3950bed4002517524c1ebc2aa1a86e9b794 139236 krb5-user_1.8.3+dfsg-4squeeze5_amd64.deb
 5095bbfc62d99bb46409d90566e76179c13169fc4b8a4307739494c761de41ec 220064 krb5-kdc_1.8.3+dfsg-4squeeze5_amd64.deb
 2a45aa8919a37b7b60a0abd0c4927084c94dcfef89403d59b0717719df40784b 118514 krb5-kdc-ldap_1.8.3+dfsg-4squeeze5_amd64.deb
 f5ef29b6804775dd65655d866de7bef9c857d9cbbdfa1d2082ef14063896039e 114590 krb5-admin-server_1.8.3+dfsg-4squeeze5_amd64.deb
 e65e4fa016f96743e87a4476d733af5f32eeecf31d74e60019432cb138b9b4a2 104238 krb5-multidev_1.8.3+dfsg-4squeeze5_amd64.deb
 d67340d4d697e2f6fc9d8b2e9eb154f83d7fc61c0d6512ff515dbe925e37e716 37580 libkrb5-dev_1.8.3+dfsg-4squeeze5_amd64.deb
 7b7c9be2ee4f6d8849a322af30ee45cae2f2bc9212fa86730ce4670e777b6d75 1629448 libkrb5-dbg_1.8.3+dfsg-4squeeze5_amd64.deb
 4bf2eefeb728a9c8d3753fff4d49636186bb5159c51b96ddbe3b9eceb43757d6 78006 krb5-pkinit_1.8.3+dfsg-4squeeze5_amd64.deb
 a1f3ccf259333f70dc7f292d86f89222f175b47baad49a0c3b947a8d637d9b9c 373494 libkrb5-3_1.8.3+dfsg-4squeeze5_amd64.deb
 e03b248135f869d120aafeffb3c65dec9017e42b2e571992c6be994530b70aed 130390 libgssapi-krb5-2_1.8.3+dfsg-4squeeze5_amd64.deb
 63f1708f2836a513106cae5cf97f5a71722afdfa0a394ed00f923463522430fe 83862 libgssrpc4_1.8.3+dfsg-4squeeze5_amd64.deb
 fb4479c13161999e31ebc64b4f298799a79366227691db2e2c2a342f6700f6ff 78602 libkadm5srv-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
 5c9a737f0b9e145124306c8cb24c542aa9b92ae6737078c6e8691acc597646ee 64218 libkadm5clnt-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
 4d95cc9d2927534ecc767e6f196d7a52557cad45efcb3dd1b441f2ad2623c7ce 105950 libk5crypto3_1.8.3+dfsg-4squeeze5_amd64.deb
 2de475b6d741bb687903079a0332336325850d63983a814f868849de00083126 63650 libkdb5-4_1.8.3+dfsg-4squeeze5_amd64.deb
 13b238be7468831356f17df35a25dc4d2eedc79683e61b138b4a631afa3aff84 46322 libkrb5support0_1.8.3+dfsg-4squeeze5_amd64.deb
Files: 
 f2aa546c7af948595bca8fd7f88e555a 1901 net standard krb5_1.8.3+dfsg-4squeeze5.dsc
 a8bba2ef00a4afb18a2bdeec1deb6462 11564633 net standard krb5_1.8.3+dfsg.orig.tar.gz
 7bb55f6a902cbf594973fbb75b806d0c 105323 net standard krb5_1.8.3+dfsg-4squeeze5.diff.gz
 f0e1b88eb7e3c0d66b58b8428570e19d 2248084 doc optional krb5-doc_1.8.3+dfsg-4squeeze5_all.deb
 43a0d33e72c88d75204749fa0bd83e1d 1373312 oldlibs extra libkrb53_1.8.3+dfsg-4squeeze5_all.deb
 dd5ef861eb6fb372b599826133e52603 139236 net optional krb5-user_1.8.3+dfsg-4squeeze5_amd64.deb
 ba64aaab4293fc16507fd890db565f06 220064 net optional krb5-kdc_1.8.3+dfsg-4squeeze5_amd64.deb
 88f06434e78f99a4e337bcfd00efd800 118514 net extra krb5-kdc-ldap_1.8.3+dfsg-4squeeze5_amd64.deb
 1632754287545ecf2afd7c669f917ea6 114590 net optional krb5-admin-server_1.8.3+dfsg-4squeeze5_amd64.deb
 0dadf62e659393121da9ef14afaa0f86 104238 libdevel optional krb5-multidev_1.8.3+dfsg-4squeeze5_amd64.deb
 6d4a70d3b6d36720734c8f9156f93344 37580 libdevel extra libkrb5-dev_1.8.3+dfsg-4squeeze5_amd64.deb
 47c48c6ea66ae043c7746fa8b0e2afe7 1629448 debug extra libkrb5-dbg_1.8.3+dfsg-4squeeze5_amd64.deb
 a220ed3c475c3063b8fb63ba4af529a6 78006 net extra krb5-pkinit_1.8.3+dfsg-4squeeze5_amd64.deb
 3348912b09fa45d5ebbe5057c77ffcad 373494 libs standard libkrb5-3_1.8.3+dfsg-4squeeze5_amd64.deb
 302e345238849f9e15110b3b0fa115b2 130390 libs standard libgssapi-krb5-2_1.8.3+dfsg-4squeeze5_amd64.deb
 4f3de84675d893531e62cdd0e00fac08 83862 libs standard libgssrpc4_1.8.3+dfsg-4squeeze5_amd64.deb
 6a2628710c290af2235d31b71c213fe1 78602 libs standard libkadm5srv-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
 a7c6c52d3e8d746a839ae928cfe89bae 64218 libs standard libkadm5clnt-mit7_1.8.3+dfsg-4squeeze5_amd64.deb
 71084afec73bf02cf0d3686b0672e2d4 105950 libs standard libk5crypto3_1.8.3+dfsg-4squeeze5_amd64.deb
 2f5f380e33db3faa7ab0e8cf74725313 63650 libs standard libkdb5-4_1.8.3+dfsg-4squeeze5_amd64.deb
 b3af07e45ac71bda3edbefcbc8a36761 46322 libs standard libkrb5support0_1.8.3+dfsg-4squeeze5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJPAhp9AAoJEL97/wQC1SS+1fcIAKG7scr1nNURHlGbW/OiBjcf
PLCupBro9NSgUUhdqkalJBsyLmqiGQt1mBHPBsfQDmgA+3yQsYaKlkTqa3ZB1nUI
GgFTfrdTlihQ8FbPmfwaq1VvosCnymYwa17Du9Ep7BAhFdL1JqyqcJvbORQzACL7
s27iAxVgA/QjSwTFr7ucfhVyjO7YZd5rF4y+lcfWMycD6nXFrstee7wPOltxT8M7
WwDT4steL5pT+5haEFLnNytvIJIBqQK3hxd/m2FSQ2YKDnOlLnmBgUtFr1OiXEOf
edWLT4QxrO47V6Z9ogb9XM/PJ9t0HvKlzqSwZFuEvdGZ3L2zjk1z48qOkkjP2Ww=
=+bvC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 May 2012 07:39:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:28:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.